%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name citeproc-hs
%define f_pkg_name citeproc-hs
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.3.2
Release: alt1.1
License: BSD3
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Group: Development/Haskell
URL: http://gorgias.mine.nu/repos/citeproc-hs/
Source: %name-%version.tar
Summary: A Citation Style Language implementation in Haskell 
BuildRequires: ghc ghc-json ghc-pandoc-types ghc-parsec ghc-utf8-string ghc-xml
BuildRequires(pre): rpm-build-haskell



%description
citeproc-hs is a library for rendering bibliographic reference citations
into a variety of styles using a macro language called Citation Style
Language (CSL). More details on CSL can be found here:
<http://citationstyles.org/>.

For the API documentation please see "Text.CSL". 

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%_datadir/%name-%version/locales
#%%doc LICENSE examples

%changelog
* Sat Aug 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.3.2-alt1.1
- rebuild with shared objects support

* Wed Aug 03 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.2-alt1
- Spec created by cabal2rpm 0.20_08
